chipscore(1)

NAME
chipcor - Feature Extraction Tool for ChIP-seq data analysis

SYNOPSIS
chipscore [ options ] -A <ref feature> -B <tar feature> -b <from> -e <to> [ < ] [ SGA file ]

DESCRIPTION
chipscore reads a ChIP-seq data file (or from stdin [<]) in SGA format (<SGA file>), and compares two features, a reference feature (<feature A>) and a target feature (<feature B>), with respect to their relative position. It then extract feature A tags that are enriched in feature B tags according to a given Count Output Threshold or Score (-t).

Launching chipscore without any arguments will print the options list, along with their default values.

The feature specification must have the following format: <feature> = <name> [<+|->]

The strand specification (+|-) being optional.

The <feature> parameter is a name that corresponds to the second field of the SGA file. If no feature is given then all input tags are processed.

The SGA input file MUST BE sorted by sequence name (or chromosome id), position, and strand. One should check the input SGA file with the following command:

sort -s -c -k1,1 -k3,3n -k4,4 <SGA file>

OPTIONS

-A <ref feature>
    The feature that is taken as a reference for correlating chIP-seq tag distances.

    This parameter is mandatory.

-B <tar feature>
    Tags corresponding to the target feature are positionally correlated to tags corresponding to the reference feature.

    This parameter is mandatory.

-b <from>
    The relative distance between the two features is analysed within a given range: <from> indicates the beginning.

-e <to>
    The relative distance between the two features is analysed within a given range: <to> indicates the end.

-c <cut-off>
    A value can be optionally specified as a cut-off for the input tag counts.

    This parameter is optional. Its default value is 10.

-d  Show debug info. The program performs the sorting order check of the input data file.

-h  Show the usage message.

-o  Oriented strand option. Requiring oriented strand processing means reverting the chromosome axis when the reference feature is on the - strand.

-r  Reverse extraction process. The program extracts sites that are depleted in feature B.

-q  Report feature B tag counts as 'feature_name=<int>'.

-t <thres>
    Output threshold or score. The program extracts feature A tags that are enriched in feature B tags according to a given count output threshold.

    The default value is 0.

SEE ALSO
chipcor(1), chipextract(1), chipcenter(1), chippeak(1) chippart(1)